Returns the state of the hl.usePhraseHighlighter parameter

- « SolrQuery::getHighlightSnippets

- SolrQuery::getMlt »

- PHP Manual
- SolrQuery
- Returns the state of the hl.usePhraseHighlighter parameter

# SolrQuery::getHighlightUsePhraseHighlighter

(PECL solr >= 0.9.2)

SolrQuery::getHighlightUsePhraseHighlighter — Returns the state of the hl.usePhraseHighlighter parameter

### Description

public SolrQuery::getHighlightUsePhraseHighlighter(): bool

Returns whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document.

### Parameters

This function has no parameters.

### Return Values

Returns a boolean on success and `null` if not set.